Skip to main content
GET
Get one User

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

type
enum<string>
required

Specify the user type to which your operations will be restricted.

Available options:
any,
organization,
client
id
integer<int32>
required

The id of the referenced User.

Required range: x >= 1

Query Parameters

fields
enum<string>[]

Specify additional fields of the OrganizationUser or ClientUser objects to be included in the response. See the selecting fields page for more information.

Available options:
basic,
all,
created_at,
updated_at,
last_login_at,
login_via_badge,
is_deleted,
roles,
default_warehouse
fields:roles
enum<string>[]

Specify additional fields of the OrganizationRole or ClientRole object to be included in the response. See the selecting fields page for more information.

Available options:
all
fields:warehouse
enum<string>[]

Specify additional fields of the Warehouse object to be included in the response.

Available options:
basic,
all,
id,
name,
is_active,
abbreviation
fields:merchant
enum<string>[]

Specify additional fields of the Merchant object to be included in the response. See the selecting fields page for more information.

Available options:
basic,
all,
code,
name,
status,
created_at,
updated_at,
brands,
default_brand,
custom_fields

Response

OK

resource
OrganizationUser · object

A user with organization-wide access.

included
object

Lists of referenced objects included by specifying optional fields. See the selecting fields page for more information.